CREATE TABLE ego_batch_jobs (
    JOB_ID                   NUMBER(18, 0),
    BATCH_ID                 NUMBER(18, 0)    NOT NULL,
    JOB_NUMBER               NUMBER(9, 0)     NOT NULL,
    STATUS                   VARCHAR2(80) ,
    REQUEST_ID               NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    JOB_ID                   NUMBER(18, 0),
    BATCH_ID                 NUMBER(18, 0)    NOT NULL,
    JOB_NUMBER               NUMBER(9, 0)     NOT NULL,
    STATUS                   VARCHAR2(80) ,
    REQUEST_ID               NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_ego_batch_jobs PRIMARY KEY (JOB_ID, JOB_ID)
);
